netconf-subsystem(1)

NAME
netconf-subsystem - thin client to access netconfd server

SYNOPSIS
   netconf-subsystem

DESCRIPTION
netconf-subsystem is a thin-client application that is called by the OpenSSH server to access the netconfd server, when the 'netconf' subsystem is requested.

USAGE
The location of this program needs to be configured in the /etc/ssh/sshd_config file. The following configuration needs to be present:
  Port 22
  Port 830
  Subsystem netconf /usr/sbin/netconf-subsystem
The actual filespec in the last line will depend on the location that this program is installed. The default value is shown in the example above.

OPTIONS

--ncxserver-sockname=port@filespec
    Specifies the corresponding pairs of SSH ports and UNIX socket names. This option allows multiple netconfd instances to run on the same host. /etc/ssh/sshd_config:
    ...
    Port 830
    Port 1830
    Port 2830
    Subsystem netconf "/usr/sbin/netconf-subsystem --ncxserver-sockname=830@/tmp/ncxserver.sock --ncxserver-sockname=1830@/tmp/ncxserver-right.sock --ncxserver-sockname=2830@/tmp/ncxserver-middle.sock"
    ...

AUTHORS
Andy Bierman, <andy at netconfcentral dot org> Vladimir Vassilev, <vladimir at lightside-instruments dot com>

SEE ALSO
netconfd(1)